cout << "Conditional Temporal Median Filter, version 0.90\n";
cout << "\n";
cout << "Usage:\n";
cout << "\n";
cout << "  med [<option> <value>]+ < IN.yuv > OUT.yuv\n";
cout << "\n";
cout << "Where parm any of:\n";
cout << "\n";
cout << "  p1/p2:\n";
cout << "    A pixel needs to be at diffrent from its neighbors by at least P1\n";
cout << "    in order for it to be considered noise.  The surrending pixels must\n";
cout << "    be diffrent by at lease P2 in order for the pixel to be\n";
cout << "    considered part of the same speck.\n";
cout << "  pwidth/pheight:\n";
cout << "    A speck can be no larger than PWIDTH x PHEIGHT.  If the material\n";
cout << "    is interlaced than pheight is multiplied by 2.\n";
cout << "  interlaced: \n";
cout << "    either 'true' or 'false'.\n";
cout << "  mthres:\n";
cout << "    A pixel needs to be diffrent from the previous frame by at least\n";
cout << "    'MTHRES' in order to be considered moving.  This number should\n";
cout << "    be larger than 'P2' in order to prevent noise from being identified\n";
cout << "    as motion.\n";
cout << "  mwidth/mheight/mp:\n";
cout << "    these paramaters control the behavior of the the motion map\n";
cout << "    denoising algorithm.\n";
cout << "  mode: one of\n";
cout << "    search: Search and destroy the noise\n";
cout << "    median: Apply a simple temperal median filter to non \n";
cout << "            moving areas of the image\n";
cout << "  show: one of\n";
cout << "    denoise: Remove the noise\n";
cout << "    mark:    Mark noise by changing the luma value to 'mark_v'\n";
cout << "    map:     Show a motion map and mark noise\n";
cout << "  mark_v:\n";
cout << "    Luma value to set noise to when mode is 'mark'\n";
cout << "\n";
cout << "Copyright (C) 2003 Kevin Atkinson (kevin.med@atkinson.dhs.org) under \n";
cout << "the GNU GPL version 2.\n";
